Bug 135028 - An icon is missing for Styles Inspector pane on sidebar
Summary: An icon is missing for Styles Inspector pane on sidebar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks: Icon-Request Styles_Inspector
  Show dependency treegraph
 
Reported: 2020-07-21 21:27 UTC by Mike Kaganski
Modified: 2020-09-15 15:12 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-07-21 21:27:37 UTC
The button for Styles Inspector needs own icon.

Possibly something like magnifying glass over cog wheels, symbolizing "deep internals inspection"?
Comment 1 Heiko Tietze 2020-07-22 08:09:41 UTC
Currently the icon for AutoCorrect is being used.
Comment 2 Rizal Muttaqin 2020-07-22 08:48:24 UTC
(In reply to Heiko Tietze from comment #1)
> Currently the icon for AutoCorrect is being used.

The right one is AutoText
Comment 3 Commit Notification 2020-08-21 05:36:04 UTC
Rizal Muttaqin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1625e8c4d65c488e0d6388cabeab10b8dc97db79

tdf#135028 icons for Style Inspector

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Mike Kaganski 2020-08-21 08:46:45 UTC
Shivam: it's not yet resolved. Rizal has created icons - thank you! - but you need yet to use it in the code.
Comment 5 Rizal Muttaqin 2020-09-15 04:50:15 UTC
In the sidebar, I can not see these new icons. 


Version: 7.1.0.0.alpha0+
Build ID: 83aa172697c11a9550c27a28f8e62b523ec7086d
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: kf5
Locale: id-ID (id_ID.UTF-8); UI: id-ID
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-09-10_21:26:34
Calc: threaded

Reopen it.
Comment 6 Commit Notification 2020-09-15 13:49:15 UTC
Shivam Kumar Singh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5c7937803fa03df79921667bd2121609c5696b5a

tdf#135028 Added icon for the Styles Inspector

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.